summaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash5
1 files changed, 4 insertions, 1 deletions
diff --git a/src/run.bash b/src/run.bash
index c6f02e303..b5ffaa997 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -57,10 +57,13 @@ BROKEN=true
go test
) || exit $?
+$BROKEN ||
[ "$CGO_ENABLED" != 1 ] ||
[ "$GOHOSTOS" == windows ] ||
+[ "$GOHOSTOS" == darwin ] ||
(xcd ../misc/cgo/testso
-go test
+"$GOMAKE" clean
+./test.bash
) || exit $?
(xcd ../doc/progs